package fxHiihtorekisteri;
import Tietorakenteet.Rekisteri;
import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;

/**
 * @author JPo ja MHo
 * @version 13.1.2020
 */
public class HiihtorekisteriMain extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
		    final FXMLLoader ldr = new FXMLLoader(getClass().getResource("PaaikkunaGUIView.fxml"));
            final Pane root = (Pane)ldr.load();
		    final HiihtorekisteriGUIController rekisteriCtrl = (HiihtorekisteriGUIController)ldr.getController();
			final Scene scene = new Scene(root);
			scene.getStylesheets().add(getClass().getResource("hiihtorekisteri.css").toExternalForm());
			primaryStage.setScene(scene);
			Rekisteri rekisteri = new Rekisteri();
            rekisteriCtrl.setRekisteri(rekisteri);
			primaryStage.show();
			
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	
	/**
	 * @param args ei k�yt�ss�
	 */
	public static void main(String[] args) {
	    launch(args);
	}
}